Telegram Post Details API

Get one public Telegram post by URL.

1 creditper request
GET
/v1/telegram/post
curl "https://api.scrapecreators.com/v1/telegram/post" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 1000000,
  "credits_charged": 1,
  "id": "543",
  "channel_handle": "durov",
  "url": "https://t.me/durov/543",
  "author_name": "Pavel Durov",
  "author_url": "https://t.me/durov",
  "text": "Telegram has applied for the .gram domain zone. If approved, Telegram users could get their own second-level domains.",
  "published_at": "2026-08-18T17:37:31+00:00",
  "view_count": 1210000,
  "view_count_text": "1.21M",
  "reactions": [
    {
      "emoji": "⭐",
      "emoji_id": null,
      "count": 16300,
      "count_text": "16.3K"
    },
    {
      "emoji": null,
      "emoji_id": "5373223594484587136",
      "count": 44700,
      "count_text": "44.7K"
    }
  ],
  "reaction_count": 89300,
  "forwarded_from": null,
  "media": [],
  "link_preview": null
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

url
string
required

Public Telegram post URL.

Example:
https://t.me/durov/543
cache_max_age
string

If we have a response in the cache that is this many days old or newer, return the cached response (0 credits, with "cached": true and a "cached_at" timestamp). Otherwise, scrape a live result (1 credit). See the Caching page for details.

Example:
7d
Available options:
1d,
3d,
7d,
14d,
30d